=== debian/control ===
Source: tkrzw
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 doxygen <!nodoc>,
 googletest <!nocheck>,
 liblz4-dev,
 libzstd-dev,
 liblzma-dev,
 zlib1g-dev,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
Vcs-Browser: https://salsa.debian.org/debian/tkrzw
Homepage: https://dbmx.net/tkrzw/
Rules-Requires-Root: no

Package: libtkrzw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtkrzw1 (= ${binary:Version}),
 ${misc:Depends},
Description: set of implementations of DBM - development headers
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains the development headers.

Package: libtkrzw1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: set of implementations of DBM - shared library
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains the shared library.

Package: tkrzw-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: set of implementations of DBM - utilities
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains miscellaneous utilities.

Package: tkrzw-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: set of implementation of DBM - docs
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains documentation and examples.
