## tkrzw 1.0.20+dfsg1

=== debian/changelog ===
tkrzw (1.0.20+dfsg1-2) unstable; urgency=high

  * debian/rules: Add -latomic to LDFLAGS on some architectures
    to circumvent FTBFS.
  * debian/control: Only build package on linux (linux-any).
    Upstream does not support kFreeBSD and Hurd for now.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 15:01:51 -0400

tkrzw (1.0.20+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.0.20.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 09:44:01 -0400
