=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND =
+# Circumvent FTBFS: undefined reference to `__atomic_xxx_8'
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel sparc powerpc powerpcspe sh4 m68k ))
+  export DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
