## tkrzw 1.0.22

=== debian/changelog ===
tkrzw (1.0.22-1) unstable; urgency=medium

  * New upstream release 1.0.22

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 15:54:41 -0500

tkrzw (1.0.21-1) unstable; urgency=medium

  * New upstream release 1.0.21.
  * debian/rules: Drop workaround for -latomic, fixed upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Nov 2021 22:14:24 -0500
