## tkrzw 1.0.23

=== debian/changelog ===
tkrzw (1.0.23-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Feb 2022 12:34:48 -0500
