=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/
@@ -18,7 +18,7 @@
 
 Package: libtkrzw-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends:
  libtkrzw1 (= ${binary:Version}),
@@ -32,7 +32,7 @@
 
 Package: libtkrzw1
 Section: libs
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -47,7 +47,7 @@
  This package contains the shared library.
 
 Package: tkrzw-utils
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
