## tkrzw 1.0.24

=== debian/changelog ===
tkrzw (1.0.24-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Apr 2022 02:45:54 -0400

tkrzw (1.0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Mar 2022 11:55:06 -0400
