## tkrzw 1.0.25

=== example/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
   cachedbm_ex1 \
   stdtreedbm_ex1 stdtreedbm_ex2 \
   polydbm_ex1 sharddbm_ex1 asyncdbm_ex1 \
-  fileindex_ex1 stdindex_ex1 \
+  fileindex_ex1 memindex_ex1 stdindex_ex1 \
   invindex_ex1 \
   langc_ex1 langc_ex2
 
@@ -139,6 +139,9 @@
 fileindex_ex1 : fileindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+memindex_ex1 : memindex_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 stdindex_ex1 : stdindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
