=== debian/changelog ===
tkrzw (1.0.25-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Mar 2023 14:07:18 -0500

tkrzw (1.0.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/source/lintian-overrides: Update properly.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 19:17:45 -0500
