=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/
