## tkrzw 1.0.27

=== debian/changelog ===
tkrzw (1.0.27-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:06 +1100

tkrzw (1.0.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062986

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:21:16 +0000

tkrzw (1.0.27-1) unstable; urgency=medium

  * Upload to untable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:26:56 -0400

tkrzw (1.0.27-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 13:48:29 -0400
