=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tkrzw
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  doxygen <!nodoc>,
  googletest <!nocheck>,
@@ -21,7 +22,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends:
- libtkrzw1 (= ${binary:Version}),
+ libtkrzw1t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: set of implementations of DBM - development headers
  Tkrzw is a C++ library implementing DBM (Database Manager) with
@@ -30,7 +31,10 @@
  .
  This package contains the development headers.
 
-Package: libtkrzw1
+Package: libtkrzw1t64
+Provides: ${t64:Provides}
+Replaces: libtkrzw1
+Breaks: libtkrzw1 (<< ${source:Version})
 Section: libs
 Architecture: linux-any
 Depends:
