## tkrzw 1.0.29

=== debian/changelog ===
tkrzw (1.0.29-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Apr 2024 10:25:21 -0400

tkrzw (1.0.27-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1067518)

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 16:58:40 -0400
