## tkrzw 1.0.32

=== example/Makefile ===
--- 
+++ 
@@ -10,16 +10,17 @@
 # Targets
 MYBINS = helloworld accesscounter transfer ulogrestore \
   hashdbm_ex1 hashdbm_ex2 hashdbm_ex3 \
-  treedbm_ex1 treedbm_ex2 treedbm_ex3 \
+  treedbm_ex1 treedbm_ex2 treedbm_ex3 treedbm_ex4 \
   skipdbm_ex1 skipdbm_ex2 skipdbm_ex3 \
   tinydbm_ex1 tinydbm_ex2 \
   babydbm_ex1 babydbm_ex2 \
   cachedbm_ex1 \
   stdtreedbm_ex1 stdtreedbm_ex2 \
   polydbm_ex1 sharddbm_ex1 asyncdbm_ex1 \
-  fileindex_ex1 memindex_ex1 stdindex_ex1 \
+  struct_ex1 \
+  fileindex_ex1 memindex_ex1 stdindex_ex1 polyindex_ex1 \
   invindex_ex1 \
-  langc_ex1 langc_ex2
+  langc_ex1 langc_ex2 langc_ex3
 
 # Building binaries
 CC = gcc
@@ -97,6 +98,9 @@
 treedbm_ex3 : treedbm_ex3.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+treedbm_ex4 : treedbm_ex4.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 skipdbm_ex1 : skipdbm_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
@@ -136,6 +140,9 @@
 asyncdbm_ex1 : asyncdbm_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+struct_ex1 : struct_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 fileindex_ex1 : fileindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
@@ -143,6 +150,9 @@
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 stdindex_ex1 : stdindex_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+polyindex_ex1 : polyindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 invindex_ex1 : invindex_ex1.o
@@ -154,4 +164,7 @@
 langc_ex2 : langc_ex2.o
 	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+langc_ex3 : langc_ex3.o
+	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 # END OF FILE
