=== debian/changelog ===
tkrzw (1.0.32-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Oct 2024 17:57:54 -0400
