=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tkrzw
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  doxygen <!nodoc>,
@@ -11,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/
