=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
 https://dbmx.net/tkrzw/pkg/tkrzw-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma))) debian uupdate
